explain_socketpair_or_die(3)

NAME
explain_socketpair_or_die - create pair of connected sockets and report errors
    "create a pair of connected sockets and report errors"

SYNOPSIS
#include <libexplain/socketpair.h>

void explain_socketpair_or_die(int domain, int type, int protocol, int *sv);
int explain_socketpair_on_error(int domain, int type, int protocol, int *sv);

DESCRIPTION
The explain_socketpair_or_die function is used to call the socketpair(2) system call. On failure an explanation will be printed to stderr, obtained from the explain_socketpair(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_socketpair_on_error function is used to call the socketpair(2) system call. On failure an explanation will be printed to stderr, obtained from the explain_socketpair(3) function, but still returns to the caller.

domain
    The domain, exactly as to be passed to the socketpair(2) system call.

type
    The type, exactly as to be passed to the socketpair(2) system call.

protocol
    The protocol, exactly as to be passed to the socketpair(2) system call.

sv  The sv, exactly as to be passed to the socketpair(2) system call.

RETURN VALUE
The explain_socketpair_or_die function only returns on success, see socketpair(2) for more information. On failure, prints an explanation and exits, it does not return.

The explain_socketpair_on_error function always returns the value return by the wrapped socketpair(2) system call.

EXAMPLE
The explain_socketpair_or_die function is intended to be used in a fashion similar to the following example:
    explain_socketpair_or_die(domain, type, protocol, sv);

SEE ALSO

socketpair(2)
    create a pair of connected sockets

explain_socketpair(3)
    explain socketpair(2) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version 1.4
Copyright (C) 2010 Peter Miller